## wzip 0.1.2

=== Makefile ===
build : wzip.c
	gcc $(CFLAGS) -o wzip wzip.c

clean :
	rm -f wzip

install : wzip
	install -s -g root -o root -m 755 wzip $(DESTDIR)/usr/bin ;\
	install -o root -g root -m 644 wzip.1.gz\
          $(DESTDIR)/usr/man/man1

=== debian/changelog ===
wzip (0.1.2) frozen unstable; urgency=low

  * Closed bug report #19436:
      wzip: md5sums-lists-nonexisting file LI#172
    by repackaging.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Wed, 18 Mar 1998 18:27:02 +0100

  * Hard thresholding denoising mode added.

  * Address of the FSF changed in the copyright file.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Fri, 13 Mar 1998 00:06:46 +0100

  * Initial Release.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Wed, 24 Dec 1997 09:50:58 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Andreas.Franzen@nordkom.netsurf.de"
End:

=== debian/control ===
Source: wzip
Section: math
Priority: optional
Maintainer: Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>
Standards-Version: 2.4.0.0

Package: wzip
Architecture: any
Depends: ${shlibs:Depends}
Description: lossy compression and denoising
 The program wzip is a preprocessor for LOSSY data compression. A sequence
 of ascii floating-point numbers is transformed into a sequence of small
 integers ready for effective compression with e.g. gzip. The program
 can also be used for effective but time consuming denoising.

## wzip 0.1.3

=== Makefile ===
build : wzip.c
	gcc $(CFLAGS) -o wzip wzip.c

clean :
	rm -f wzip

install : wzip wzip.1.gz examples.tar.gz
	install -s -g root -o root -m 755 wzip $(DESTDIR)/usr/bin ;\
	install -o root -g root -m 644 wzip.1.gz\
          $(DESTDIR)/usr/man/man1 ;\
	install -o root -g root -m 644 examples.tar.gz\
          $(DESTDIR)/usr/doc/wzip

=== debian/changelog ===
wzip (0.1.3) unstable; urgency=low

  * Added examples.tar.gz.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Sun, 09 Aug 1998 18:56:13 +0200

  * Closed bug report #19436:
      wzip: md5sums-lists-nonexisting file LI#172
    by repackaging.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Wed, 18 Mar 1998 18:27:02 +0100

  * Hard thresholding denoising mode added.

  * Address of the FSF changed in the copyright file.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Fri, 13 Mar 1998 00:06:46 +0100

  * Initial Release.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Wed, 24 Dec 1997 09:50:58 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Andreas.Franzen@nordkom.netsurf.de"
End:

=== debian/control ===
Source: wzip
Section: math
Priority: optional
Maintainer: Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>
Standards-Version: 2.4.1.2

Package: wzip
Architecture: any
Depends: ${shlibs:Depends}
Description: lossy compression and denoising
 The program wzip is a preprocessor for LOSSY data compression.
 A sequence of ascii floating-point numbers is transformed into a sequence
 of small integers ready for effective compression with e.g. gzip.
 The program can also be used for effective but time consuming denoising.
 Wzip was originally written for the processing of EDX-linescans.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=wzip

build:
	$(checkdir)
	
	make CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## wzip 0.1.5

=== Makefile ===
#!/usr/bin/make -f
wzip : wzip.c
	gcc $(CFLAGS) -o wzip wzip.c

distclean :
	rm -f wzip

install : wzip # examples.tar.gz
	install -s -g root -o root -m 755 wzip $(prefix)/bin
#	install -o root -g root -m 644 examples.tar.gz\
#          $(prefix)/share/doc/wzip

=== debian/changelog ===
wzip (0.1.5) unstable; urgency=low

  * Updated to policy standard 3.1.1.1.

 -- Andreas Franzen <anfra@debian.org>  Tue, 11 Jan 2000 01:15:32 +0100

wzip (0.1.4) unstable; urgency=low

  * Converted to debhelper.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Sun, 20 Dec 1998 20:13:00 +0100

wzip (0.1.2) unstable; urgency=low

  * Closed bug report #19436:
      wzip: md5sums-lists-nonexisting file LI#172
    by repackaging.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Wed, 18 Mar 1998 18:27:02 +0100

wzip (0.1.1) unstable; urgency=low

  * Hard thresholding denoising mode added.

  * Address of the FSF changed in the copyright file.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Fri, 13 Mar 1998 00:06:46 +0100

wzip (0.1) unstable; urgency=low

  * Initial Release.

 -- Andreas Franzen <Andreas.Franzen@nordkom.netsurf.de>  Wed, 24 Dec 1997 09:50:58 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "anfra@debian.org"
End:

=== debian/control ===
Source: wzip
Section: math
Priority: optional
Maintainer: Andreas Franzen <anfra@debian.org>
Standards-Version: 3.1.1.1

Package: wzip
Architecture: any
Depends: ${shlibs:Depends}
Description: Lossy compression and denoising
 The program wzip is a preprocessor for LOSSY data compression.
 A sequence of ascii floating-point numbers is transformed into a sequence
 of small integers ready for effective compression with e.g. gzip.
 The program can also be used for effective but time consuming denoising
 of measurement data. Wzip was originally written for the processing of
 EDX-linescans.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules that uses debhelper for package wzip

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp
	-$(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	rm -r debian/tmp/usr/doc
	$(MAKE) prefix=`pwd`/debian/tmp/usr install
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples examples.tar.gz
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## wzip 1.0

=== debian/changelog ===
wzip (1.0) unstable; urgency=low

  * Updated to policy standard 3.5.2.0.

  * Changed version to 1.0.

  * Changed compiler options from "-O2 -g -Wall" to "-O3 -Wall".

 -- Andreas Franzen <anfra@debian.org>  Fri, 30 Mar 2001 23:30:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Standards-Version: 3.1.1.1
+Standards-Version: 3.5.2.0
 
 Package: wzip
 Architecture: any

## wzip 1.1

=== debian/changelog ===
wzip (1.1) unstable; urgency=low

  * Updated to policy standard 3.5.9

  * Added a Build-Depends on debhelper

 -- Andreas Franzen <anfra@debian.org>  Mon, 31 Mar 2003 20:41:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Standards-Version: 3.5.2.0
+Build-Depends: debhelper (>> 3.0.0)
+Standards-Version: 3.5.9
 
 Package: wzip
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 build: build-stamp
 build-stamp:
 	dh_testdir
-	$(MAKE) CFLAGS="-O2 -g -Wall"
+	$(MAKE) CFLAGS="-O3 -Wall"
 	touch build-stamp
 
 clean:
@@ -22,8 +22,8 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-	dh_installdirs
-	rm -r debian/tmp/usr/doc
+	dh_installdirs usr usr/bin
+#	rm -r debian/tmp/usr/doc
 	$(MAKE) prefix=`pwd`/debian/tmp/usr install
 	touch install-stamp

## wzip 1.1.1

=== Makefile ===
#!/usr/bin/make -f
wzip : wzip.c
	gcc $(CFLAGS) -o wzip wzip.c

clean :
	rm -f wzip

install : wzip
	install -s -g root -o root -m 755 wzip $(DESTDIR)/usr/bin

=== debian/changelog ===
wzip (1.1.1) unstable; urgency=low

  * Updated to policy standard 3.6.1.1

  * Compiler options changed

  * Minor changes to Makefile

 -- Andreas Franzen <anfra@debian.org>  Sun, 26 Feb 2006 23:20:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.9
+Build-Depends: debhelper (>> 4.0.0)
+Standards-Version: 3.6.1.1
 
 Package: wzip
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules that uses debhelper for package wzip

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr usr/bin
#	rm -r debian/tmp/usr/doc
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples examples.tar.gz
#	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
	dh_installman wzip.1
#	dh_installmanpages
	dh_link
#	dh_undocumented
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## wzip 1.1.2

=== debian/changelog ===
wzip (1.1.2) unstable; urgency=low

  * Removed -s option of install in Makefile (Closes: #438282).

 -- Andreas Franzen <anfra@debian.org>  Wed, 12 Dec 2007 21:12:34 +0100

## wzip 1.1.3

=== Makefile ===
#!/usr/bin/make -f
wzip : wzip.c
	gcc $(CFLAGS) -o wzip wzip.c

clean :
	rm -f wzip

install : wzip
	install -g root -o root -m 755 wzip $(DESTDIR)/usr/bin

=== debian/changelog ===
wzip (1.1.3) unstable; urgency=low

  * Updated to policy standard 3.8.3.0

 -- Andreas Franzen <anfra@debian.org>  Sun, 29 Nov 2009 18:07:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
 Build-Depends: debhelper (>> 4.0.0)
-Standards-Version: 3.6.1.1
+Standards-Version: 3.8.0
 
 Package: wzip
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
-	-$(MAKE) clean
+	$(MAKE) clean
 	dh_clean
 
 install: build
@@ -39,7 +39,7 @@
 	dh_clean -k
 	dh_installdirs usr usr/bin
 #	rm -r debian/tmp/usr/doc
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/wzip
 
 # Build architecture-independent files here.
 binary-indep: build install

## wzip 1.1.4

=== debian/changelog ===
wzip (1.1.4) unstable; urgency=low

  * Converted to dh
  * Abort if scanf does not give the expected result
  * Removed the timestamp in examples.tar.gz
  * Updated to policy standard 3.8.6

 -- Andreas Franzen <anfra@debian.org>  Tue, 18 Oct 2016 20:53:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Build-Depends: debhelper (>> 4.0.0)
-Standards-Version: 3.8.0
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
+#Homepage: <insert the upstream URL, if relevant>
+#Vcs-Git: git://anonscm.debian.org/collab-maint/wzip.git
+#Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/wzip.git;a=summary
 
 Package: wzip
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Lossy compression and denoising
  The program wzip is a preprocessor for LOSSY data compression.
  A sequence of ascii floating-point numbers is transformed into a sequence

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_installexamples:
	dh_installexamples examples.tar.gz

override_dh_installman:
	dh_installman wzip.1

## wzip 1.1.5

=== Makefile ===
all : scan.eps sugar.eps sugar2.eps salt.eps salt2.eps

scan.eps : scan.asc scan2.asc scan.gpl
	gnuplot scan.gpl

scan.asc : scan.ni edx2asc
	./edx2asc < scan.ni > scan.asc

edx2asc : edx2asc.c
	gcc -Wall -o edx2asc edx2asc.c -lm

gauss2poisson : gauss2poisson.c
	gcc -Wall -o gauss2poisson gauss2poisson.c -lm

poisson2gauss : poisson2gauss.c
	gcc -Wall -o poisson2gauss poisson2gauss.c -lm

scan2.asc : scan.asc poisson2gauss gauss2poisson
	./poisson2gauss < scan.asc | wzip -hdn 1024 4.3 |\
          ./gauss2poisson > scan2.asc

sugar.eps sugar2.eps salt.eps salt2.eps : sugar.dat sugar2.dat salt.dat \
  salt2.dat powder.gpl
	gnuplot powder.gpl

sugar.i24.gz : sugar.dat poisson2gauss
	./poisson2gauss < sugar.dat | wzip -c 7536 8 > sugar.i24 ; \
          gzip -9 sugar.i24

salt.i24.gz : salt.dat poisson2gauss
	./poisson2gauss < salt.dat | wzip -c 7536 8 > salt.i24 ; \
          gzip -9 salt.i24

sugar2.dat : sugar.i24.gz gauss2poisson
	gzip -d -c sugar.i24.gz | wzip -d 7536 8 | ./gauss2poisson > sugar2.dat

salt2.dat : salt.i24.gz gauss2poisson
	gzip -d -c salt.i24.gz | wzip -d 7536 8 | ./gauss2poisson > salt2.dat

=== debian/changelog ===
wzip (1.1.5) unstable; urgency=low

  * Updated to policy standard 4.1.3
  * Removed comment in second line of rules to avoid the report of
    debian-rules-is-db_make-template by lintian
  * Changed version from 1.0 to 1.1 in wzip.c

 -- Andreas Franzen <anfra@debian.org>  Wed, 14 Feb 2018 16:03:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.3
 #Homepage: <insert the upstream URL, if relevant>
 #Vcs-Git: git://anonscm.debian.org/collab-maint/wzip.git
 #Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/wzip.git;a=summary

## wzip 1.1.5+nmu1

=== debian/changelog ===
wzip (1.1.5+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 20:23:58 +0800

## wzip 1.1.6

=== debian/changelog ===
wzip (1.1.6) unstable; urgency=low

  * Updated debhelper compat from 9 to 12

 -- Andreas Franzen <anfra@debian.org>  Mon, 30 May 2022 23:41:41 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,4 @@
 #!/usr/bin/make -f
-# See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 DH_VERBOSE = 1

## wzip 1.1.7

=== debian/changelog ===
wzip (1.1.7) unstable; urgency=low

  * Rules-Requires-Root: binary-targets was added to debian/control.
  * Build-Depends: debhelper-compat was added and debian/compat was removed.
  * The version of debhelper was changed to 12.
  * Updated to policy standard 4.6.2.
  * Trailing whitespaces were removed in debian/rules and debian/control.
  * The copyright source was changed from http to https.
  * In debian/rules the line include /usr/share/dpkg/default.mk was moved
    after export DEB_BUILD_MAINT_OPTIONS = hardening=+all to get the
    bindnow linker flag active.

 -- Andreas Franzen <anfra@debian.org>  Sat, 28 Dec 2024 14:52:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: math
 Priority: optional
 Maintainer: Andreas Franzen <anfra@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 4.1.3
+Rules-Requires-Root: binary-targets
+Build-Depends: debhelper (>= 12), debhelper-compat (= 12)
+Standards-Version: 4.6.2
 #Homepage: <insert the upstream URL, if relevant>
 #Vcs-Git: git://anonscm.debian.org/collab-maint/wzip.git
 #Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/wzip.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,11 @@
 
 # see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/default.mk
 
 # see ENVIRONMENT in dpkg-buildflags(1)
 # package maintainers to append CFLAGS
@@ -15,10 +16,9 @@
 # package maintainers to append LDFLAGS
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
-
 # main packaging script based on dh7 syntax
 %:
-	dh $@ 
+	dh $@
 
 # debmake generated override targets
 # This is example for Cmake (See http://bugs.debian.org/641051 )

## wzip 1.1.7build1

=== debian/changelog ===
wzip (1.1.7build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:33:45 +0100
